ormolu-0.5.3.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | Haskell2010

Ormolu.Printer.Meat.Module

Description

Rendering of modules.

Synopsis

- p_hsModule :: Maybe (RealLocated Comment) -> [([RealLocated Comment], Pragma)] -> HsModule -> R ()

# Documentation

p_hsModule Source #

Arguments

:: Maybe (RealLocated Comment) | Stack header
-> [([RealLocated Comment], Pragma)] | Pragmas and the associated comments
-> HsModule | AST to print
-> R () |

Render a module-like entity (either a regular module or a backpack signature).